# ApplicationFramework
PTKernel
DBC

# DBC_VArrayOfCharacter Class Reference

`#include <DBC_VArrayOfCharacter.hxx>`

Inheritance diagram for DBC_VArrayOfCharacter:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DBC_VArrayOfCharacter ()
Standard_EXPORT | DBC_VArrayOfCharacter (const Standard_Integer Size)
Standard_EXPORT | DBC_VArrayOfCharacter (const DBC_VArrayOfCharacter &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const DBC_VArrayOfCharacter &Other)
void | operator= (const DBC_VArrayOfCharacter &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_Character &Value)
Standard_EXPORT Standard_Character & | Value (const Standard_Integer Index) const
Standard_Character & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~DBC_VArrayOfCharacter ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | DBC_VArrayOfCharacter_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT DBC_VArrayOfCharacter::DBC_VArrayOfCharacter | ( |  | ) |

Standard_EXPORT DBC_VArrayOfCharacter::DBC_VArrayOfCharacter | ( | const Standard_Integer | Size | ) |

Standard_EXPORT DBC_VArrayOfCharacter::DBC_VArrayOfCharacter | ( | const DBC_VArrayOfCharacter & | Varray | ) |

DBC_VArrayOfCharacter::~DBC_VArrayOfCharacter | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void DBC_VArrayOfCharacter::Assign | ( | const DBC_VArrayOfCharacter & | Other | ) |

Standard_EXPORT void DBC_VArrayOfCharacter::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void DBC_VArrayOfCharacter::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* DBC_VArrayOfCharacter::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* DBC_VArrayOfCharacter::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Standard_Character& DBC_VArrayOfCharacter::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void DBC_VArrayOfCharacter::operator= | ( | const DBC_VArrayOfCharacter & | Other | ) | `[inline]`

Standard_EXPORT void DBC_VArrayOfCharacter::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void DBC_VArrayOfCharacter::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Character & | Value
| ) |

Standard_EXPORT Standard_Character& DBC_VArrayOfCharacter::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& DBC_VArrayOfCharacter_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- DBC_VArrayOfCharacter.hxx